Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
thread_native.h File Reference

Go to the source code of this file.

## Functions
RUBY_SYMBOL_EXPORT_BEGIN rb_nativethread_id_t | rb_nativethread_self ()
void | rb_nativethread_lock_initialize (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_destroy (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_lock (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_unlock (rb_nativethread_lock_t *lock)

## Function Documentation

## ◆ rb_nativethread_lock_destroy()

void rb_nativethread_lock_destroy | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 439 of file thread.c.

## ◆ rb_nativethread_lock_initialize()

void rb_nativethread_lock_initialize | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 433 of file thread.c.

## ◆ rb_nativethread_lock_lock()

void rb_nativethread_lock_lock | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 445 of file thread.c.

Referenced by rb_grantpt(), and rb_workqueue_register().

## ◆ rb_nativethread_lock_unlock()

void rb_nativethread_lock_unlock | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 451 of file thread.c.

Referenced by rb_grantpt(), and rb_workqueue_register().

## ◆ rb_nativethread_self()

RUBY_SYMBOL_EXPORT_BEGIN rb_nativethread_id_t rb_nativethread_self | ( |  | ) |